package com.wyattjmiller.favoritefoodrevisited

import android.os.Bundle
import androidx.appcompat.app.AppCompatActivity

class DetailsActivity : AppCompatActivity() {
    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        setContentView(R.layout.activity_details)

        val fragmentManager = supportFragmentManager
        var fragment = fragmentManager.findFragmentById(R.id.details_fragment_container)

        if (fragment == null) {
            val foodId: Int = intent.getIntExtra(EXTRA_FOOD_ID, 1)
            fragment = DetailsFragment().newInstance(foodId)
            fragmentManager.beginTransaction()
                .add(R.id.details_fragment_container, fragment)
                .commit()
        }
    }

    companion object {
        const val EXTRA_FOOD_ID = "foodId"
    }
}