package com.wyattjmiller.favoritefoodrevisited

import android.content.Intent
import android.net.Uri
import android.os.Bundle
import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import android.widget.Button
import android.widget.TextView
import androidx.fragment.app.Fragment

class DetailsFragment : Fragment() {
    private var mFood: Food? = null
    private var btnClick = View.OnClickListener {
        val intentUri = Uri.parse(mFood?.website.toString())
        val webIntent = Intent(Intent.ACTION_VIEW, intentUri)
        startActivity(webIntent)
    }

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)

        var foodId: Int = 1

        if (arguments != null) {
            foodId = arguments!!.getInt("foodId")
        }

        mFood = context?.let { FoodDatabase.getInstance(it)?.getFood(foodId) }!!
    }

    override fun onCreateView(inflater: LayoutInflater, container: ViewGroup?, savedInstanceState: Bundle?): View? {
        // inflate!
        val view = inflater.inflate(R.layout.fragment_details, container, false)
        val nameTextView = view.findViewById(R.id.foodName) as TextView
        val websiteButton = view.findViewById(R.id.foodWebsite) as Button

        // set texts and buttons
        nameTextView.text = mFood!!.name
        websiteButton.setOnClickListener(btnClick)

        return view
    }

    fun newInstance(foodId: Int): DetailsFragment {
        val fragment = this
        val args = Bundle()

        args.putInt("foodId", foodId)
        fragment.arguments = args

        return fragment
    }
}