package com.wyattjmiller.favoritefoodrevisited

import android.content.Context
import java.util.*

class FoodDatabase private constructor(context: Context) {
    private val mFoods: MutableList<Food>
    val bands: List<Any>
        get() = mFoods

    fun getFood(foodId: Int): Food? {
        for (food in mFoods) {
            if (food.id === foodId) {
                return food
            }
        }
        return null
    }

    fun getFoods(): List<Food> {
        return mFoods
    }

    companion object {
        private var sFoodDatabase: FoodDatabase? = null
        fun getInstance(context: Context): FoodDatabase? {
            if (sFoodDatabase == null) {
                sFoodDatabase = FoodDatabase(context)
            }

            return sFoodDatabase
        }
    }

    init {
        mFoods = ArrayList<Food>()

        val res = context.resources
        val bands = res.getStringArray(R.array.foods)
        val descriptions = res.getStringArray(R.array.websites)

        for (i in bands.indices) {
            mFoods.add(Food(i + 1, bands[i], descriptions[i]))
        }
    }
}