package com.wyattjmiller.favoritefoodrevisited

import android.content.Intent
import android.os.Bundle
import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import android.widget.Button
import android.widget.LinearLayout
import androidx.fragment.app.Fragment


class ListFragment : Fragment() {
    override fun onCreateView(inflater: LayoutInflater, container: ViewGroup?, savedInstanceState: Bundle?): View? {
        val view: View = inflater.inflate(R.layout.fragment_list, container, false)
        val layout = view as LinearLayout
        val foodList: List<Food> = context?.let { FoodDatabase.getInstance(it)?.getFoods() }!!

        for (i in foodList.indices) {
            val button = Button(context)
            val layoutParams = LinearLayout.LayoutParams(
                LinearLayout.LayoutParams.MATCH_PARENT,
                LinearLayout.LayoutParams.WRAP_CONTENT
            )
            layoutParams.setMargins(0, 0, 0, 10) // 10 px
            button.layoutParams = layoutParams

            val food: Food = context?.let { FoodDatabase.getInstance(it)?.getFood(i + 1) }!!
            button.text = food.name
            button.tag = food.id.toString()

            button.setOnClickListener(buttonClickListener)

            layout.addView(button)
        }
        return view
    }

    private val buttonClickListener =
        View.OnClickListener { view ->
            val intent = Intent(activity, DetailsActivity::class.java)
            val foodId = view.tag as String
            intent.putExtra(DetailsActivity.EXTRA_FOOD_ID, foodId.toInt())
            startActivity(intent)
        }
}